Name:		bitmap
Version:	1.1.1
Release:	%mkrel 2
Summary:	Bitmap editor and converter utilities for the X Window System
Group:		Development/X11
Source:		https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
URL:		https://xorg.freedesktop.org/archive/X11R6.8.0/doc/bitmap.1.html
License:	MIT
BuildRequires:	pkgconfig(x11) >= 1.0.0
BuildRequires:	pkgconfig(xmu) >= 1.0.0
BuildRequires:	pkgconfig(xt) >= 1.0.0
BuildRequires:	pkgconfig(xaw7) >= 1.0.1
BuildRequires:	x11-data-bitmaps >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1

%description
Bitmap provides is a bitmap editor and misc converter utilities for the X
Window System.

%prep
%setup -q

%build
%configure --disable-dependency-tracking
%make_build

%install
%make_install

%files
%{_bindir}/atobm
%{_bindir}/bmtoa
%{_bindir}/bitmap
%{_datadir}/X11/app-defaults/Bitmap
%{_datadir}/X11/app-defaults/Bitmap-nocase
%{_datadir}/X11/app-defaults/Bitmap-color
%{_includedir}/X11/bitmaps/Up
%{_includedir}/X11/bitmaps/Down
%{_includedir}/X11/bitmaps/Excl
%{_includedir}/X11/bitmaps/Fold
%{_includedir}/X11/bitmaps/Left
%{_includedir}/X11/bitmaps/Term
%{_includedir}/X11/bitmaps/Dashes
%{_includedir}/X11/bitmaps/Right
%{_includedir}/X11/bitmaps/FlipHoriz
%{_includedir}/X11/bitmaps/RotateLeft
%{_includedir}/X11/bitmaps/RotateRight
%{_includedir}/X11/bitmaps/FlipVert
%{_includedir}/X11/bitmaps/Stipple
%{_mandir}/man1/bitmap.1*
%{_mandir}/man1/bmtoa.1*
%{_mandir}/man1/atobm.1*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.1.1-2.mga10
+ Revision: 2221502
- Mageia 10 Mass Rebuild

* Sun Mar 10 2024 daviddavid <daviddavid> 1.1.1-1.mga10
+ Revision: 2049027
- new version: 1.1.1

* Wed Nov 02 2022 luigiwalser <luigiwalser> 1.1.0-1.mga9
+ Revision: 1901787
- 1.1.0

* Thu Mar 31 2022 umeabot <umeabot> 1.0.9-3.mga9
+ Revision: 1835998
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.9-2.mga8
+ Revision: 1523073
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Feb 17 2019 luigiwalser <luigiwalser> 1.0.9-1.mga7
+ Revision: 1367932
- 1.0.9

* Fri Sep 21 2018 umeabot <umeabot> 1.0.8-3.mga7
+ Revision: 1295491
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 kekepower <kekepower> 1.0.8-2.mga7
+ Revision: 1211604
- Use new make macros

* Thu Dec 31 2015 luigiwalser <luigiwalser> 1.0.8-1.mga6
+ Revision: 917366
- 1.0.8

* Wed Oct 15 2014 umeabot <umeabot> 1.0.7-4.mga5
+ Revision: 743575
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.7-3.mga5
+ Revision: 678164
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.7-2.mga4
+ Revision: 523942
- Mageia 4 Mass Rebuild

* Mon May 27 2013 pterjan <pterjan> 1.0.7-1.mga4
+ Revision: 428496
- Update to 1.0.7

* Fri Jan 11 2013 umeabot <umeabot> 1.0.6-2.mga3
+ Revision: 346910
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.0.6-1.mga2
+ Revision: 222329
- drop patch 0 (fixed otherwise upstream)
- new release

* Sun Jan 23 2011 pterjan <pterjan> 1.0.5-1.mga1
+ Revision: 35136
- Drop old scriptet
- imported package bitmap


* Fri Oct 08 2010 Thierry Vignaud <tv@mandriva.org> 1.0.5-1mdv2011.0
+ Revision: 584208
- new release

* Tue Feb 02 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.0.4-2mdv2010.1
+ Revision: 499790
- add url tag
- Report patch to 1.0.4 version

* Wed Sep 23 2009 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2010.0
+ Revision: 447712
- new release

* Mon Aug 10 2009 Funda Wang <fwang@mandriva.org> 1.0.3-6mdv2010.0
+ Revision: 414160
- fix build

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Mon Dec 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-5mdv2009.1
+ Revision: 321082
- fix build with -Werror=format-security (P0)

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-4mdv2009.0
+ Revision: 220483
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-3mdv2008.1
+ Revision: 148924
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Choose default Xaw from xaw.m4 unless configure explicitly told otherwise.

* Sat Sep 08 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.3-1mdv2008.0
+ Revision: 82321
- rebuild for 2008
- minor spec clean

  + Thierry Vignaud <tv@mandriva.org>
    - fix man pages extension


* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.3-1mdv2007.0
+ Revision: 116378
- new upstream version: 1.0.3

* Sat Sep 02 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.2-3mdv2007.0
+ Revision: 59528
- rebuild to fix libXaw.so.8 dependency
- rebuild to fix cooker uploading
- X11R7.1
- increment release
- Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description

